--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "TODO: document @api semipublic"
full_name: DataMapper::Query::Path::new
is_singleton: true
name: new
params: (relationships, property_name = nil)
visibility: public
